#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

#define el '\n'
#define ff first
#define ss second
#define pii pair <ll, ll>
#define pb push_back
#define popb pop_back
#define fr(x, l, r) for(ll (x) = l; (x) <= r; (x)++)
#define frb(x, r, l) for(ll (x) = r; (x) >= l; (x)--)

mt19937_64 rnd(time(0));

ll const N = 3e5 + 100;
ll const INF = 1e18 + 100;

ll a[N], d[N];

void solve() {
    ll n;
    cin >> n;

    fr(i, 1, n)
        cin >> a[i];

    sort(a + 1, a + n + 1);

    fr(i, 1, n)
        d[i] = a[i] - a[i - 1];

    d[n + 1] = INF;

    vector <ll> pref(n + 2), suf(n + 2);
    pref[0] = pref[1] = pref[2] = 1;
    fr(i, 3, n)
        pref[i] = pref[i - 1] & (d[i - 1] <= d[i]);
    suf[n + 1] = suf[n] = suf[n - 1] = 1;
    frb(i, n - 2, 1)
        suf[i] = suf[i + 1] & (d[i + 1] <= d[i + 2]);

    if(suf[1] || pref[n])
        return void(cout << "YES" << el);
    fr(i, 2, n - 1) {
        // del i
        if(!pref[i - 1] || !suf[i + 1])
            continue;
        ll dif = a[i + 1] - a[i - 1];
        if(dif >= d[i - 1] && dif <= d[i + 2])
            return void(cout << "YES" << el);
    }
    cout << "NO" << el;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int t = 1;
    cin >> t;
    while(t--)
        solve();
}